Macaulay2 » Documentation
Packages » NumericalSemigroups :: conductor(List)
next | previous | forward | backward | up | index | toc

# conductor(List) -- conductor of a semigroup

- Function: conductor
- Usage:
    `c = conductor L`
- Inputs:
  - L, a list, of generators of a semigroup
- Outputs:
  - c, an integer, conductor of the semigroups

## Description

Semigroups in this package are additively closed cofinite subsets of ZZ_{>= 0}. The conductor is the smallest element c such that c+i is in the semigroup for all i >= 0. For a semigroup generated by two elements a,b, the conductor is (a-1)(b-1), but for semigroups with more generators there is no known formula.

    i1 : conductor {3,5}

    o1 = 8

    i2 : conductor {5, 7, 9, 13}

    o2 = 12

## Ways to use this method:

- conductor(List) -- conductor of a semigroup

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/NumericalSemigroups.m2:2138:0.